Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1738144 - wallpapoz depends on Python 2
Summary: wallpapoz depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:17 UTC by Lumír Balhar
Modified: 2019-09-02 06:40 UTC (History)
1 user (show)

Fixed In Version: wallpapoz-0.6.2-10.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-02 06:40:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:17:01 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for wallpapoz's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to wallpapoz.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:40:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 2 Lumír Balhar 2019-08-15 07:26:36 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 3 Mamoru TASAKA 2019-08-19 12:06:37 UTC
Please do understand that replying to more than 10 bugs with multiple questions in 2 weeks (3 comments means 2 weeks) is really hard for volunteers, thank you. And I may forget some bugs.

Comment 4 Mamoru TASAKA 2019-08-19 13:52:00 UTC
This one is difficult.

Comment 5 Lumír Balhar 2019-08-26 13:22:04 UTC
I am sorry for the burden but this system is semi-automatic and we have to deal with hundreds of packages. Also, we are taking some action a week after the last comment which means that you have 4 weeks between a bug is created and package orphaned by us.

It seems that the application is written in Python and TKinter.

Do you have a plan to contact the upstream developers or do it yourself?

Comment 6 Mamoru TASAKA 2019-08-31 12:49:30 UTC
GUI part converted by myself. Next daemon part.

Comment 7 Mamoru TASAKA 2019-09-01 12:37:52 UTC
Almost done locally.


Note You need to log in before you can comment on or make changes to this bug.